<style>
{% call sass() %}
#page-contacts {
    padding-top: 62px;
    padding-left: 72px;

    .content {
        white-space: nowrap;
    }

    .col-left,
    .col-right {
        display: inline-block;
        margin-top: 50px;
        vertical-align: top;
    }

    .col-left { width: 40%; }
    .col-right { width: 55%; }

    .col-left {
        padding-left: 20px;

        .contacts {
            margin-bottom: 30px;

            .contacts__item {
                font-size: 24px;
            }
        }

        .publications {
            .publications__item {
                font-size: 24px;
            }
        }
    }

    .gratitude {
        .gratitude__text {
            font-size: 24px;
        }

        .gratitude__people__row {
            margin-top: 20px;

            .gratitude__people__row__item {
                display: inline-block;
                width: 150px;
                margin-right: 10px;

                .gratitude__people__row__item__photo {
                    width: 100%;
                }

                .gratitude__people__row__item__name {
                    font-size: 14px;
                    font-weight: bold;
                }

                .gratitude__people__row__item__role {
                    font-size: 14px;
                }
            }
        }
    }
}

#page-contacts.lang-ru {
    padding-top: 62px;
    padding-left: 72px;

    .content {
        white-space: nowrap;
    }

    .col-left,
    .col-right {
        display: inline-block;
        margin-top: 50px;
        vertical-align: top;
    }

    .col-left { width: 40%; }
    .col-right { width: 55%; }

    .col-left {
        padding-left: 20px;

        .contacts {
            margin-bottom: 30px;

            .contacts__item {
                margin-top: 10px;
                font-size: 20px;
            }
        }

        .publications {
            .publications__item {
                margin-top: 10px;
                font-size: 20px;
            }
        }
    }

    .gratitude {
        .gratitude__text {
            margin-top: 5px;
            font-size: 20px;
        }

        .gratitude__people__row {
            margin-top: 20px;

            .gratitude__people__row__item {
                display: inline-block;
                width: 150px;
                margin-right: 25px;

                .gratitude__people__row__item__photo {
                    width: 100%;
                }

                .gratitude__people__row__item__name {
                    font-size: 12px;
                    margin-top: 5px;
                    font-weight: bold;
                }

                .gratitude__people__row__item__role {
                    margin-top: 5px;
                    font-size: 12px;
                }
            }
        }
    }
}
{% endcall %}
</style>

<div id="page-contacts" class="lang-{{ lang }}">
    <h1>
        {{ translatable({
            'en': 'CONTACTS', 
            'ru': 'КОНТАКТЫ',
            'fr': 'CONTACTS',
            'es': 'CONTACTOS',
            'zh': '人脉',
            'de': 'KONTAKTE'
        }, lang) }}
    </h1>
    
    <div class="content">
        <div class="col-left">
            <div class="contacts"> 
                <h2>
                    {{ translatable({
                        'en': 'CONTACTS', 
                        'ru': 'КОНТАКТЫ',
                        'fr': 'CONTACTS',
                        'es': 'CONTACTOS',
                        'zh': '联系我',
                        'de': 'KONTAKTE'
                    }, lang) }}
                </h2>

                {% for contact in contacts %}
                <div class="contacts__item">
                    {% if contact.startswith('https://') %}
                    <a href="{{ contact }}">{{ contact.replace('https://', '') }}</a>
                    {% elif contact.startswith('http://') %}
                    <a href="{{ contact }}">{{ contact.replace('http://', '') }}</a>
                    {% else %}
                    {{ contact }}
                    {% endif %}
                </div>
                {% endfor %} 
            </div>
            {% if publications %}
            <div class="publications">
                <h2>
                    {{ translatable({
                        'en': 'PUBLICATIONS', 
                        'ru': 'ПУБЛИКАЦИИ',
                        'fr': 'PUBLICATIONS',
                        'es': 'REFERENCIAS',
                        'zh': '出版物',
                        'de': 'PUBLIKATIONEN'
                    }, lang) }}
                </h2>

                {% for pub in publications %}
                <div class="publications__item"><a href="{{ pub }}">{{ pub.replace('http://', '').replace('https://', '') }}</a></div>
                {% endfor %}
            </div>
            {% endif %}
        </div>
        <div class="col-right">
            {% if not no_gratitudes %}
            <div class="gratitude">
                <h2>
                    {{ translatable({
                        'en': 'GRATITUDES', 
                        'ru': 'БЛАГОДАРНОСТИ',
                        'fr': 'REMERCIEMENTS',
                        'es': 'GRATITUDES',
                        'zh': '感谢',
                        'de': 'DANKBARKEIT'
                    }, lang) }}
                </h2>
                
                <div class="gratitude__text">
                    {{ translatable({
                        'en': 'All of this become possible thanks to those people:',
                        'ru': 'Все вышеперечисленное стало возможным благодаря этим людям:',
                        'fr': 'Tout cela est devenu possible grâce à eux:',
                        'es': 'Todo eso es possible gracias a esa gente:',
                        'zh': '所有这 变 得可 能 由于这些措施人：',
                        'de': 'Alle diese möglich werden verdanken:'
                    }, lang)}}
                </div>
                <div class="gratitude__people"> 
                    {% for row in gratitude.people|batch(4) %}
                    <div class="gratitude__people__row">
                    {% for person in row %}
                        <div class="gratitude__people__row__item">
                            <img class="gratitude__people__row__item__photo "src="{{ static_png(person.img) }}" />
                            <div class="gratitude__people__row__item__name">{{ person.name }}</div>
                            <div class="gratitude__people__row__item__role">{{ person.title }}</div>
                        </div>
                    {% endfor %}
                    </div> 
                    {% endfor %}
                </div>
            </div>
            {% endif %}
        </div>
    </div>
</div> 
